#!/bin/env sh

set -e

SCRIPT_DIR=$(dirname "$0")
VERSION_DIR=$(realpath "$SCRIPT_DIR/..")
CONF_DIR="$VERSION_DIR/conf"
NGINX_CONF_DIR="/etc/nginx/conf.d"

CONF_FILE_NAME="demo-app-nginx.conf"
SYM_LINK="$NGINX_CONF_DIR/$CONF_FILE_NAME"

echo "Removing symbolic link $SYM_LINK..."
rm -f "$NGINX_CONF_DIR/$CONF_FILE_NAME" || true

echo "Reloading nginx configuration..."
nginx -s reload

echo "Done."

